> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetSecretValue

POST https://api.voximplant.com/platform_api/GetSecretValue

Gets the value of a specific secret.

**Example request:** Get the value of secret 10.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/secrets/get-secret-value

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetSecretValue:
    post:
      operationId: get-secret-value
      summary: GetSecretValue
      description: |-
        Gets the value of a specific secret.

        **Example request:** Get the value of secret 10.
      tags:
        - subpackage_secrets
      parameters:
        - name: application_id
          in: query
          description: >-
            Application ID. **Required** unless **application_name** is
            provided.
          required: false
          schema:
            type: integer
        - name: application_name
          in: query
          description: >-
            Application name. **Required** unless **application_id** is
            provided.
          required: false
          schema:
            type: string
        - name: secret_id
          in: query
          description: Secret ID. **Required** unless **secret_name** is provided.
          required: false
          schema:
            type: integer
        - name: secret_name
          in: query
          description: Secret name. **Required** unless **secret_id** is provided.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/secrets_GetSecretValue_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    GetSecretValueResultSecretId:
      oneOf:
        - type: integer
        - type: string
      description: Secret ID
      title: GetSecretValueResultSecretId
    GetSecretValueResult:
      type: object
      properties:
        secret_id:
          $ref: '#/components/schemas/GetSecretValueResultSecretId'
          description: Secret ID
        secret_name:
          type: string
          description: Secret name
        secret_value:
          type: string
          description: Secret value
        description:
          type: string
          description: Secret description
        created:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            Secret creation timestamp
        modified:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            Secret modification timestamp
      description: The [GetSecretValue] function result
      title: GetSecretValueResult
    secrets_GetSecretValue_Response_200:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/GetSecretValueResult'
          description: The full secret info (with value)
      title: secrets_GetSecretValue_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetSecretValue"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetSecretValue';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetSecretValue"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetSecretValue")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetSecretValue")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetSecretValue', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetSecretValue");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetSecretValue")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```